Bug 1090995 - Compute Resources Need Enterprisey Names
Summary: Compute Resources Need Enterprisey Names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 14:54 UTC by james labocki
Modified: 2016-04-22 16:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:06:22 UTC


Attachments (Terms of Use)
rhev_url updated (29.18 KB, image/png)
2014-06-05 12:14 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5965 None None None 2016-04-22 16:48:41 UTC

Description james labocki 2014-04-24 14:54:37 UTC
Within Infrastructure -> Compute Resources -> New Compute Resource the providers show up as "ovirt" and "openstack". They should show up as "RHEV" and "RHEL OpenStack Platform" which are the enterprise counterparts. 

Also, the example API URL for ovirt shows port 8443 when oVirt now uses 443 by default so:

https://hostname:8443/api

should be changed to 

https://hostname:443/api

Comment 1 RHEL Product and Program Management 2014-04-24 14:55:47 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Sachin Ghai 2014-05-23 10:00:23 UTC
Verified with sat6 beta snap6 

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.13-1.el6sat.noarch
* foreman-compute-1.6.0.13-1.el6sat.noarch
* foreman-gce-1.6.0.13-1.el6sat.noarch
* foreman-libvirt-1.6.0.13-1.el6sat.noarch
* foreman-ovirt-1.6.0.13-1.el6sat.noarch
* foreman-postgresql-1.6.0.13-1.el6sat.noarch
* foreman-proxy-1.6.0.6-1.el6sat.noarch
* foreman-selinux-1.6.0-2.el6sat.noarch
* foreman-vmware-1.6.0.13-1.el6sat.noarch
* katello-1.5.0-24.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.44-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-plugins-0.3-1.el6sat.noarch
* pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
* pulp-server-2.4.0-0.18.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* rubygem-hammer_cli-0.1.0-13.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-15.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-6.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-26.el6sat.noarch


Compute resources names have been updated and drop down shows 'RHEV' and 'RHEL OpenStack Platform'

However the example api URL for RHEV still shows: https://ovirt.example.com:8443/api

As per defect description, it should be https://ovirt.example.com:443/api

Comment 6 Bryan Kearney 2014-06-02 16:22:45 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5965 has been closed

Comment 8 Sachin Ghai 2014-06-05 12:13:44 UTC
Verified with sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0)

Compute resources names have been updated and drop down shows 'RHEV' and 'RHEL OpenStack Platform'

Also the example api URL for RHEV updated with:
e.g. https://ovirt.example.com/api

Comment 9 Sachin Ghai 2014-06-05 12:14:53 UTC
Created attachment 902526 [details]
rhev_url updated

Comment 10 Bryan Kearney 2014-07-02 14:06:22 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.